summaryrefslogtreecommitdiff
path: root/check/check-cflags
diff options
context:
space:
mode:
authorHyungKyu Song <hk76.song@samsung.com>2013-02-16 00:52:26 +0900
committerHyungKyu Song <hk76.song@samsung.com>2013-02-16 00:52:26 +0900
commit7971aaeae56bd004926a9c8ad20ce9e51d3a65ff (patch)
treed444998270156668444cd7e9448998d4ca960db5 /check/check-cflags
parent5ec49d7969628ec586e19efdd894966519ed0733 (diff)
downloadpkg-config-7971aaeae56bd004926a9c8ad20ce9e51d3a65ff.tar.gz
pkg-config-7971aaeae56bd004926a9c8ad20ce9e51d3a65ff.tar.bz2
pkg-config-7971aaeae56bd004926a9c8ad20ce9e51d3a65ff.zip
Diffstat (limited to 'check/check-cflags')
-rwxr-xr-xcheck/check-cflags19
1 files changed, 19 insertions, 0 deletions
diff --git a/check/check-cflags b/check/check-cflags
new file mode 100755
index 0000000..eb2d6bc
--- /dev/null
+++ b/check/check-cflags
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+# Make sure we're POSIX
+if [ "$PKG_CONFIG_SHELL_IS_POSIX" != "1" ]; then
+ PKG_CONFIG_SHELL_IS_POSIX=1 PATH=`getconf PATH` exec sh $0 "$@"
+fi
+
+set -e
+
+. ${srcdir}/common
+
+ARGS="--cflags simple"
+RESULT=""
+run_test
+
+ARGS="--cflags fields-blank"
+RESULT=""
+run_test
+